Online Privacy & Cookie Policy Statement ("Privacy Policy")

Last modified on June 21, 2012

Heartland Payment Systems, Inc. (Heartland, we, us, our) recognizes the importance of maintaining effective privacy practices.  This Privacy & Cookie Policy explains the online data collection and use policies that apply to the websites, mobile applications and online services (collectively Services) that are owned or controlled by Heartland and are linked to this Policy page.
Click below to jump to a particular topic:

1.       Information Collection and Use
2.       Sharing of Information
3.       Childrens Privacy
4.       Your Choices
5.       Data Protection and Storage
6.       Third-Party Websites and Services
7.       Changes to Our Privacy Policy
8.       Contact Us

1.   Information Collection and Use

We collect information from various sources to provide our Services to you, to analyze and improve our Services, and to communicate with you (e.g., to send you updates or notices about our organization, or emails about products or services that we believe may be of interest to you). 
Information that you provide to us:  We collect information that you provide to us when you set up an account with us, use our Services, or communicate with us.  For example, if you register for an online account with us, then we may request your personal information (e.g., name, postal address, email address, DOB, telephone number, credit/debit card number, security code) or as applicable your business information, to complete the registration process, to process transactions, to send you information about our products, to send you promotional offers from third parties that we think may be of interest to you, or to otherwise provide our Services to you.  Similarly, if you request information from us through an online contact form (or if you email us), we collect the information you provide (e.g., name, telephone number, email address) so that we can respond to you.
 
Information collected from third parties:  We may collect information about you or your business from third parties in the course of providing our Services to you.  For example, we may obtain information from our merchant customersor we may collect information from a school or university about consumer/students to provide services to those consumer/student.  For some services,we may also collect information from third parties, such as credit reporting agencies or financial institutions, or other entities with information pertaining to the Services that we are providing to you. 
 
Information collected through technology:  When you visit our websites or mobile applications (or when you use any of our online services) we may collect certain information about your computer or device through technology such as cookies, web beacons, or other tracking/recording tools.  The information collected may include, but is not limited to, IP addresses, referring URLs, access times, browser types, device types, mobile device identifiers, or information about your interactions with our websites, applications or services.  (Note that a cookie is a text file placed on a computers hard drive or stored on a mobile device; a web beacon, also known as an Internet tag, pixel tag or clear GIF, is used to transmit information back to a web server.)  We may use the information described in this paragraph to, among other things, (i) operate our Services, including by remembering information so that you will not have to re-enter it during your visit or the next time you sign in to your account, (ii) identify and protect our customers, (iii) control unauthorized use or abuse of our Services, (iv) provide custom, personalized content and information, which could include advertising, (v) monitor aggregate traffic patterns on our websites and services, and (vi) analyze and improve our Services.  

2.   Sharing of Information

We do not sell or share your information with third parties outside Heartland and our group of companies (which include any parents, subsidiaries and affiliates), without your consent, except as described below and in this Policy: 
We may share your information with our service providers and business partners (e.g., financial institutions or card brands that issue payment cards or are involved in transaction processing; entities that assist with fraud prevention or collections; merchants that sell gift cards managed through our websites or services; schools), who assist us in providing our Services.  We may also share information with our service providers and business partners to help us monitor usage and other analytics regarding our Services, and to help us improve these offerings.  When we share your information with our service providers and business partners, we only provide the information that these third parties reasonably need to perform their functions.
We may aggregate, or strip information of personally identifying characteristics, and may share that aggregated or anonymized information with third parties.
We may share or disclose your information if we determine, in our sole discretion, that we are required to do so under applicable law or regulatory requirements, or if we reasonably believe disclosure is necessary to prevent harm or financial loss, or in connection with preventing fraud or illegal activity, and/or to enforce our Terms of Use.
We reserve the right to transfer any information we collect in the event we sell or transfer all or a portion of our business or assets (including any shares in the company) or any portion or combination of our products, services, businesses and/or assets.  Should such a transaction occur (whether a divestiture, merger, acquisition, bankruptcy, dissolution, reorganization, liquidation, or similar transaction or proceeding), we will use reasonable efforts to ensure that any transferred information is treated in a manner consistent with this Privacy Policy.
3.   Childrens Privacy

Heartlands websites, mobile applications and services are intended for use strictly by adults.  Heartland does not knowingly solicit or collect personal information from children under the age of 13.  If Heartland obtains knowledge that it has collected personal information from a child under 13 in retrievable form in its files, Heartland will delete that information.

4.   Your Choices

Email Communications.  From time to time, we may send you emails regarding updates to our websites, mobile applications or products/services, notices about our organization, or information about products/services we offer (or promotional offers from third parties) that we think may be of interest to you.  If you wish to unsubscribe from such emails, simply click the unsubscribe link provided at the bottom of the email communication.  Note that you cannot unsubscribe from certain Services-related email communications (e.g., account verification, confirmations of transactions, technical or legal notices).

Modifying Account Information.  If you have an online account with us, you may have the ability to modify certain information in your account (e.g., your contact information) through profile, account, settings, or preferences options provided on the website or service.  If you have any questions about modifying or updating any information in your account, please contact us at the email address, postal address, or telephone number provided below. 

Cookie Controls.  You may be able to set your Internet browser or mobile device to block cookies or other tracking/recording tools, including cookies associated with our websites or Services, or to indicate when a cookie is being set by us. However, it is important to remember that many of our websites or Services may not function properly if your cookies are disabled.  For information and instructions about how to manage your cookies, refer to your Internet browsers or mobile devices technical information.  Further information on how to adjust your cookie preferences through your browser is available at the external, third-party informational website www.allaboutcookies.org.
 
5.   Data Protection and Storage

Heartland maintains reasonable administrative, technical and physical safeguards to protect the confidentiality of information transmitted online, including but not limited to encryption, firewalls and SSL (Secure Sockets Layer). Heartland has implemented policies and practices pursuant to various security rules and regulations relating to the security and safeguarding of payment cardholder data, including the Payment Card Industry Data Security Standards (PCI-DSS).  Heartland is not liable for loss of passwords due to user negligence.  If you believe your password has been lost or compromised, we recommend that you immediately change your password.

We may store and process information in the United States or any other country in which Heartland or its parents, subsidiaries, affiliates or service providers maintain facilities. Heartland may transfer information that we collect about you, including personal information, to parents, subsidiaries, affiliates, or service providers across borders and from your country or jurisdiction to other countries or jurisdictions around the world.  If you are located in the European Union or other regions with laws governing data collection and use that may differ from U.S. law, please note that we may transfer information, including personal information, to a country and jurisdiction that does not have the same data protection laws as your jurisdiction, and you consent to the transfer of information to the U.S. or any other country in which Heartland or its parent, subsidiaries, affiliates or service providers maintain facilities and to the use and disclosure of information as described in this Privacy Policy. 

6.   Third-Party Websites and Services

Our websites or Services may provide links to (or links from) third-party websites or services  none of which are governed by this Privacy Policy.  To the extent that any linked third-party websites or services you visit are not owned or controlled by Heartland, we are not responsible for those websites or services content or information practices.  We strongly encourage you to review the privacy policies of any site or service before providing any personal information.

7.   Changes to Privacy Policy

We reserve the right to change this Privacy Policy from time to time in our sole discretion.  We will post changes on this page and indicate the last modified date at the top of this page.  Please check back often for any updates.  Your continued use of our website, mobile application or services after any change in this Privacy Policy will constitute your acceptance of such change.

8.   Contact Us

For additional inquiries about this Privacy Policy, please contact Heartland at 1-888-798-3131 to speak to a legal representative, or send us an email at PrivacyPolicy@e-hps.com, or letter.

General Counsel Office
Heartland Payment Systems, Inc.
90 Nassau Street
Princeton, NJ 08542